Results 1 to 7 of 7

Thread: Help! upgraded cairo!

  1. #1

    Exclamation Help! upgraded cairo!

    hi

    I just upgraded cairo while trying to get beryl. I don't know what version I upgraded too or what I had before. So I upgraded cairo using software installer from the main suse 10.2 OSS repo. Then when it was done I tried to open another firefox window and the window opened for a second and then closed. I thought it might of just been firefox so I tried opening gedit. That did the same thing. So I restarted my computer. When I started it back up it looked like it was going to gdm (the mouse was a spinning circle with a black screen) and then it went to tty1 and every few seconds went back to the black screen. It went back like 6 or 7
    times before a box came up saying it had tried 6 times and failed in the past 90 seconds. I am writing this on my iPhone because that was my only computer. So I really need it fixed. Oh and I'm running sled 10 SP1.

    Any help is appreciated!!

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,480
    Blog Entries
    15

    Default Re: Help! upgraded cairo!

    Quote Originally Posted by master8899
    hi

    I just upgraded cairo while trying to get beryl. I don't know what
    version I upgraded too or what I had before. So I upgraded cairo using
    software installer from the main suse 10.2 OSS repo. Then when it was
    done I tried to open another firefox window and the window opened for a
    second and then closed. I thought it might of just been firefox so I
    tried opening gedit. That did the same thing. So I restarted my
    computer. When I started it back up it looked like it was going to gdm
    (the mouse was a spinning circle with a black screen) and then it went
    to tty1 and every few seconds went back to the black screen. It went
    back like 6 or 7
    times before a box came up saying it had tried 6 times and failed in
    the past 90 seconds. I am writing this on my iPhone because that was my
    only computer. So I really need it fixed. Oh and I'm running sled 10
    SP1.

    Any help is appreciated!!
    Hi
    I guess you haven't configured rug to enable rollback? You will need to
    use yast (ncurses) from the CLI to go back to the original SLE version.

    Like I pointed out, you will need to build any versions from the source
    rpm unless you can find any 10.1, SLE or SLE SDK versions...

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.0 x86 Kernel 2.6.25.18-0.2-default
    up 5:40, 1 user, load average: 0.02, 0.12, 0.15
    GPU GeForce 6600 TE/6200 TE - Driver Version: 177.80


  3. #3

    Default Re: Help! upgraded cairo!

    I have no idea what you want me to do.

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,480
    Blog Entries
    15

    Default Re: Help! upgraded cairo!

    Quote Originally Posted by master8899
    I have no idea what you want me to do.
    Hi
    Do you get to the console (text) login still? If so you can login as
    root and run the command;
    Code:
    yast
    This will give you a text version which you can get to the software
    management screen and re-install the original versions...

    Is there any reason why you don't wish to try SP2?

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.0 x86 Kernel 2.6.25.18-0.2-default
    up 16:39, 1 user, load average: 0.01, 0.04, 0.06
    GPU GeForce 6600 TE/6200 TE - Driver Version: 177.80


  5. #5

    Default Re: Help! upgraded cairo!

    Is there an option to downgrade in 10.2 with yast? Do it if there an option.

  6. #6
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,480
    Blog Entries
    15

    Default Re: Help! upgraded cairo!

    Quote Originally Posted by Growlboy
    Is there an option to downgrade in 10.2 with yast? Do it if there an
    option.
    Hi
    The OP is running SLED 10 SP1, not openSUSE, but has been trying to use
    some 10.2 rpms which appear to have caused some problems....

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.0 x86 Kernel 2.6.25.18-0.2-default
    up 17:23, 1 user, load average: 0.28, 0.20, 0.21
    GPU GeForce 6600 TE/6200 TE - Driver Version: 177.80


  7. #7

    Default Re: Help! upgraded cairo!

    I've solved this. I just reimaged my laptop. Luckily I had mostly everything backed up.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •